package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 批次说明对象 mall_batch_detail
 * 
 * @author lsm
 * @date 2023-10-19
 */
public class MallBatchDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 批次详情id */
    private Long batchDetailId;

    /** 批次id */
    private Long batchId;

    /** 省份id */
    @Excel(name = "省份id")
    private Long provinceId;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 填报时间 */
    @Excel(name = "填报时间")
    private String submitTime;

    /** 志愿方式 */
    @Excel(name = "志愿方式")
    private String wishType;

    /** 志愿数量 */
    @Excel(name = "志愿数量")
    private Integer wishNum;

    /** 志愿格式 */
    @Excel(name = "志愿格式")
    private String wishForm;

    /** 院校类型 */
    @Excel(name = "院校类型")
    private String schoolType;

    /** 计算方式 */
    @Excel(name = "计算方式")
    private String countType;

    /** 填报要求 */
    @Excel(name = "填报要求")
    private String submitDemand;

    /** 批次线 */
    @Excel(name = "批次线")
    private String batchLine;

    /** 说明 */
    @Excel(name = "说明")
    private String description;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private String delFlag;

    public void setBatchDetailId(Long batchDetailId) 
    {
        this.batchDetailId = batchDetailId;
    }

    public Long getBatchDetailId() 
    {
        return batchDetailId;
    }
    public void setProvinceId(Long provinceId) 
    {
        this.provinceId = provinceId;
    }

    public Long getProvinceId() 
    {
        return provinceId;
    }
    public void setSubmitTime(String submitTime) 
    {
        this.submitTime = submitTime;
    }

    public String getSubmitTime() 
    {
        return submitTime;
    }
    public void setWishType(String wishType) 
    {
        this.wishType = wishType;
    }

    public String getWishType() 
    {
        return wishType;
    }
    public void setWishNum(Integer wishNum) 
    {
        this.wishNum = wishNum;
    }

    public Integer getWishNum() 
    {
        return wishNum;
    }
    public void setWishForm(String wishForm) 
    {
        this.wishForm = wishForm;
    }

    public String getWishForm() 
    {
        return wishForm;
    }
    public void setSchoolType(String schoolType) 
    {
        this.schoolType = schoolType;
    }

    public String getSchoolType() 
    {
        return schoolType;
    }
    public void setCountType(String countType) 
    {
        this.countType = countType;
    }

    public String getCountType() 
    {
        return countType;
    }
    public void setSubmitDemand(String submitDemand) 
    {
        this.submitDemand = submitDemand;
    }

    public String getSubmitDemand() 
    {
        return submitDemand;
    }
    public void setBatchLine(String batchLine) 
    {
        this.batchLine = batchLine;
    }

    public String getBatchLine() 
    {
        return batchLine;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    @Override
    public String toString() {
        return "MallBatchDetail{" +
                "batchDetailId=" + batchDetailId +
                ", batchId=" + batchId +
                ", provinceId=" + provinceId +
                ", year='" + year + '\'' +
                ", submitTime='" + submitTime + '\'' +
                ", wishType='" + wishType + '\'' +
                ", wishNum=" + wishNum +
                ", wishForm='" + wishForm + '\'' +
                ", schoolType='" + schoolType + '\'' +
                ", countType='" + countType + '\'' +
                ", submitDemand='" + submitDemand + '\'' +
                ", batchLine='" + batchLine + '\'' +
                ", description='" + description + '\'' +
                ", remark='" + remark + '\'' +
                ", createAt='" + createAt + '\'' +
                ", updateAt='" + updateAt + '\'' +
                ", delFlag='" + delFlag + '\'' +
                '}';
    }
}
